import {Zone, IMapAdapter, LatLng, MapOptions} from './map-adapter.interface';
export declare class LeafletAdapter implements IMapAdapter {
  private map;
  private deliveryCheckMarker?;
  private markers?: {};
  private popup?;
  init(container: HTMLElement, options: MapOptions): void;
  setCenter(latLng: LatLng): void;
  setZoom(zoom: number): void;
  addMarker(latLng: LatLng, options?: { id?: string; color?: string }): void;
  removeMarker(id?: string): void;
  destroy(): void;
  addZone(zone: Zone[]): void;
  updateZone(zone: Zone[]): void;
  openZonePopup(zone: Zone) : void
  closePopup(): void;
  on(type: string, event: (e: any) => void): void;
}
